QTextCodecPlugin(3qt)

NAME
QTextCodecPlugin - Abstract base for custom QTextCodec plugins

SYNOPSIS
#include <qtextcodecplugin.h>

  Public Members
QTextCodecPlugin ()
~QTextCodecPlugin ()
virtual QStringList names () const = 0
virtual QTextCodec * createForName ( const QString & name ) = 0
virtual QValueList<int> mibEnums () const = 0
virtual QTextCodec * createForMib ( int mib ) = 0

DESCRIPTION
The QTextCodecPlugin class provides an abstract base for custom QTextCodec plugins.

The text codec plugin is a simple plugin interface that makes it easy to create custom text codecs that can be loaded dynamically into applications.

Writing a text codec plugin is achieved by subclassing this base class, reimplementing the pure virtual functions names(), createForName(), mibEnums() and createForMib(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Qt Plugins documentation for details.

See the IANA character-sets encoding file for more information on mime names and mib enums.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QTextCodecPlugin::QTextCodecPlugin ()
Constructs a text codec plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QTextCodecPlugin::~QTextCodecPlugin ()
Destroys the text codec plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

QTextCodec * QTextCodecPlugin::createForMib ( int mib ) [pure virtual]
Creates a QTextCodec object for the mib enum mib.

(See the IANA character-sets encoding file for more information)

See also mibEnums().

QTextCodec * QTextCodecPlugin::createForName ( const QString & name ) [pure virtual]
Creates a QTextCodec object for the codec called name.

See also names().

QValueList<int> QTextCodecPlugin::mibEnums () const [pure virtual]
Returns the list of mib enums this plugin supports.

See also createForMib().

QStringList QTextCodecPlugin::names () const [pure virtual]
Returns the list of mime names this plugin supports.

See also createForName().

SEE ALSO
http://doc.trolltech.com/qtextcodecplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtextcodecplugin.3qt) and the Qt version (3.0.5).